/******************************************************************************

    WINPIPE.H

    This file provides defines and routine declarations for using
    WINPIPE.DLL.

*/

#define  PIPE_READ    (0x01)
#define  PIPE_WRITE   (0x02)
#define  PIPE_MONITOR (0x10)

#define PIPE_UNKNOWN    (-10)
#define PIPE_STR2LONG   (-8)
#define PIPE_BADWINDOW  (-7)
#define PIPE_LONGNAME   (-6)
#define PIPE_NOTFREE    (-5)
#define PIPE_NORIGHTS	(-4)
#define PIPE_BADPIPE	(-3)
#define PIPE_FULL	(-2)
#define PIPE_EMPTY      (-2)
#define PIPE_NOMEMLOCK	(-1)
#define PIPE_OK         (0)

#define Stdin           (0)
#define Stdout          (1)
#define Stderr          (2)

typedef  int    INT;
typedef  int    PIPE;

/*  Utility functions	*/

extern	 PIPE FAR PASCAL ClosePipe(PIPE Pipe);
extern	 PIPE FAR PASCAL CreatePipe(HWND hWnd, LPSTR lpszPipeName, WORD wStyle, WORD wBufferSize, WORD wNotify);
extern	 PIPE FAR PASCAL OpenPipe(HWND hWnd, LPSTR lpszPipeName, WORD wStyle, WORD wNotify);
extern	 WORD FAR PASCAL PeekPipe(LPSTR lpBuffer, int Num, PIPE Pipe);
extern	 WORD FAR PASCAL PurgePipe(PIPE Pipe);
extern	 WORD FAR PASCAL QueryPipe(PIPE Pipe);
extern	 WORD FAR PASCAL ReleasePipe(PIPE Pipe);

/*  Pipe I/O functions	*/

extern	 WORD FAR PASCAL Pputc(char c, PIPE Pipe);
extern	 WORD FAR PASCAL Pputs(LPSTR lpszString, PIPE Pipe);
extern	 WORD FAR PASCAL Pgetc(PIPE Pipe);
extern	 char FAR * FAR PASCAL Pgets(LPSTR lpszString, int Num, PIPE Pipe);

extern	 WORD FAR PASCAL Pread(LPSTR lpBuffer, int Num, PIPE Pipe);
extern	 WORD FAR PASCAL Pwrite(LPSTR lpBuffer,int ItemSize, int iCount, PIPE Pipe);


/*  Standard pipe functions */

extern	 WORD FAR PASCAL Wgetc();
extern	 char FAR * FAR PASCAL Wgets(LPSTR lpszString, int Num);
extern	 WORD FAR PASCAL Wputc(char c);
extern	 WORD FAR PASCAL Wputs(LPSTR lpszString);

#ifndef NOPRINTF
extern int FAR cdecl WPRINTF(LPSTR,...);
/*  Import libs do not have lower case  */
#define Wprintf     WPRINTF
#endif
